Bug 373004 - Segfault when switchin compiler
Summary: Segfault when switchin compiler
Status: RESOLVED FIXED
Alias: None
Product: kdevelop
Classification: Unclassified
Component: general (show other bugs)
Version: 5.0.1
Platform: openSUSE RPMs Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: kdevelop-bugs-null
URL:
Keywords: drkonqi
Depends on:
Blocks:
 
Reported: 2016-11-27 21:23 UTC by linus.kardell+kdebugs
Modified: 2018-04-07 12:47 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.2.2


Attachments
improved backtrace (37.37 KB, text/plain)
2018-01-11 16:03 UTC, Dan Weatherill
Details

Note You need to log in before you can comment on or make changes to this bug.
Description linus.kardell+kdebugs 2016-11-27 21:23:02 UTC
Application: kdevelop (5.0.1)

Qt Version: 5.6.1
Frameworks Version: 5.26.0
Operating System: Linux 4.4.27-2-default x86_64
Distribution: "openSUSE Leap 42.2"

-- Information about the crash:
- What I was doing when the application crashed:

Set CMAKE_C_COMPILER and CMAKE_CXX_COMPILER to gcc-6 and g++-6 and clicked OK.

-- Backtrace:
Application: KDevelop (kdevelop), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f1f7fd4b940 (LWP 20087))]

Thread 33 (Thread 0x7f1ea5648700 (LWP 20379)):
#0  0x00007f1f7cb0751d in read () at /lib64/libc.so.6
#1  0x00007f1f6e7d6073 in  () at /usr/lib64/tls/libnvidia-tls.so.367.57
#2  0x00007f1f759b3670 in  () at /usr/lib64/libglib-2.0.so.0
#3  0x00007f1f75972e49 in g_main_context_check () at /usr/lib64/libglib-2.0.so.0
#4  0x00007f1f759732a8 in  () at /usr/lib64/libglib-2.0.so.0
#5  0x00007f1f7597342c in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#6  0x00007f1f7d41732b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#7  0x00007f1f7d3c4fdb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#8  0x00007f1f7d1fff1a in QThread::exec() () at /usr/lib64/libQt5Core.so.5
#9  0x00007f1f7ad25dd3 in  () at /usr/lib64/libKDevPlatformLanguage.so.10
#10 0x00007f1f7d2049e9 in  () at /usr/lib64/libQt5Core.so.5
#11 0x00007f1f765eb734 in start_thread () at /lib64/libpthread.so.0
#12 0x00007f1f7cb13d3d in clone () at /lib64/libc.so.6

Thread 32 (Thread 0x7f1ec77fe700 (LWP 20366)):
#0  0x00007f1f765f00af in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f1f7d20565b in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib64/libQt5Core.so.5
#2  0x00007f1f71acf42f in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#3  0x00007f1f71ad2dea in  () at /usr/lib64/libKF5ThreadWeaver.so.5
#4  0x00007f1f71acd45b in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#5  0x00007f1f71ad0a46 in ThreadWeaver::Thread::run() () at /usr/lib64/libKF5ThreadWeaver.so.5
#6  0x00007f1f7d2049e9 in  () at /usr/lib64/libQt5Core.so.5
#7  0x00007f1f765eb734 in start_thread () at /lib64/libpthread.so.0
#8  0x00007f1f7cb13d3d in clone () at /lib64/libc.so.6

Thread 31 (Thread 0x7f1ec7fff700 (LWP 20365)):
#0  0x00007f1f765f00af in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f1f7d20565b in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib64/libQt5Core.so.5
#2  0x00007f1f71acf42f in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#3  0x00007f1f71ad2dea in  () at /usr/lib64/libKF5ThreadWeaver.so.5
#4  0x00007f1f71acd45b in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#5  0x00007f1f71ad0a46 in ThreadWeaver::Thread::run() () at /usr/lib64/libKF5ThreadWeaver.so.5
#6  0x00007f1f7d2049e9 in  () at /usr/lib64/libQt5Core.so.5
#7  0x00007f1f765eb734 in start_thread () at /lib64/libpthread.so.0
#8  0x00007f1f7cb13d3d in clone () at /lib64/libc.so.6

Thread 30 (Thread 0x7f1ee0ff9700 (LWP 20364)):
#0  0x00007f1f765f00af in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f1f7d20565b in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib64/libQt5Core.so.5
#2  0x00007f1f71acf42f in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#3  0x00007f1f71ad2dea in  () at /usr/lib64/libKF5ThreadWeaver.so.5
#4  0x00007f1f71acd45b in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#5  0x00007f1f71ad0a46 in ThreadWeaver::Thread::run() () at /usr/lib64/libKF5ThreadWeaver.so.5
#6  0x00007f1f7d2049e9 in  () at /usr/lib64/libQt5Core.so.5
#7  0x00007f1f765eb734 in start_thread () at /lib64/libpthread.so.0
#8  0x00007f1f7cb13d3d in clone () at /lib64/libc.so.6

Thread 29 (Thread 0x7f1ee17fa700 (LWP 20363)):
#0  0x00007f1f765f00af in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f1f7d20565b in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib64/libQt5Core.so.5
#2  0x00007f1f71acf42f in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#3  0x00007f1f71ad2dea in  () at /usr/lib64/libKF5ThreadWeaver.so.5
#4  0x00007f1f71acd45b in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#5  0x00007f1f71ad0a46 in ThreadWeaver::Thread::run() () at /usr/lib64/libKF5ThreadWeaver.so.5
#6  0x00007f1f7d2049e9 in  () at /usr/lib64/libQt5Core.so.5
#7  0x00007f1f765eb734 in start_thread () at /lib64/libpthread.so.0
#8  0x00007f1f7cb13d3d in clone () at /lib64/libc.so.6

Thread 28 (Thread 0x7f1ee1ffb700 (LWP 20362)):
#0  0x00007f1f765f00af in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f1f7d20565b in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib64/libQt5Core.so.5
#2  0x00007f1f71acf42f in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#3  0x00007f1f71ad2dea in  () at /usr/lib64/libKF5ThreadWeaver.so.5
#4  0x00007f1f71acd45b in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#5  0x00007f1f71ad0a46 in ThreadWeaver::Thread::run() () at /usr/lib64/libKF5ThreadWeaver.so.5
#6  0x00007f1f7d2049e9 in  () at /usr/lib64/libQt5Core.so.5
#7  0x00007f1f765eb734 in start_thread () at /lib64/libpthread.so.0
#8  0x00007f1f7cb13d3d in clone () at /lib64/libc.so.6

Thread 27 (Thread 0x7f1ee27fc700 (LWP 20361)):
#0  0x00007f1f765f00af in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f1f7d20565b in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib64/libQt5Core.so.5
#2  0x00007f1f71acf42f in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#3  0x00007f1f71ad2dea in  () at /usr/lib64/libKF5ThreadWeaver.so.5
#4  0x00007f1f71acd45b in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#5  0x00007f1f71ad0a46 in ThreadWeaver::Thread::run() () at /usr/lib64/libKF5ThreadWeaver.so.5
#6  0x00007f1f7d2049e9 in  () at /usr/lib64/libQt5Core.so.5
#7  0x00007f1f765eb734 in start_thread () at /lib64/libpthread.so.0
#8  0x00007f1f7cb13d3d in clone () at /lib64/libc.so.6

Thread 26 (Thread 0x7f1ee2ffd700 (LWP 20360)):
#0  0x00007f1f765f00af in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f1f7d20565b in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib64/libQt5Core.so.5
#2  0x00007f1f71acf42f in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#3  0x00007f1f71ad2dea in  () at /usr/lib64/libKF5ThreadWeaver.so.5
#4  0x00007f1f71acd45b in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#5  0x00007f1f71ad0a46 in ThreadWeaver::Thread::run() () at /usr/lib64/libKF5ThreadWeaver.so.5
#6  0x00007f1f7d2049e9 in  () at /usr/lib64/libQt5Core.so.5
#7  0x00007f1f765eb734 in start_thread () at /lib64/libpthread.so.0
#8  0x00007f1f7cb13d3d in clone () at /lib64/libc.so.6

Thread 25 (Thread 0x7f1ee37fe700 (LWP 20359)):
#0  0x00007f1f765f00af in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f1f7d20565b in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib64/libQt5Core.so.5
#2  0x00007f1f71acf42f in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#3  0x00007f1f71ad2dea in  () at /usr/lib64/libKF5ThreadWeaver.so.5
#4  0x00007f1f71acd45b in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#5  0x00007f1f71ad0a46 in ThreadWeaver::Thread::run() () at /usr/lib64/libKF5ThreadWeaver.so.5
#6  0x00007f1f7d2049e9 in  () at /usr/lib64/libQt5Core.so.5
#7  0x00007f1f765eb734 in start_thread () at /lib64/libpthread.so.0
#8  0x00007f1f7cb13d3d in clone () at /lib64/libc.so.6

Thread 24 (Thread 0x7f1ee3fff700 (LWP 20358)):
#0  0x00007f1f765f00af in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f1f7d20565b in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib64/libQt5Core.so.5
#2  0x00007f1f71acf42f in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#3  0x00007f1f71ad2dea in  () at /usr/lib64/libKF5ThreadWeaver.so.5
#4  0x00007f1f71acd45b in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#5  0x00007f1f71ad0a46 in ThreadWeaver::Thread::run() () at /usr/lib64/libKF5ThreadWeaver.so.5
#6  0x00007f1f7d2049e9 in  () at /usr/lib64/libQt5Core.so.5
#7  0x00007f1f765eb734 in start_thread () at /lib64/libpthread.so.0
#8  0x00007f1f7cb13d3d in clone () at /lib64/libc.so.6

Thread 23 (Thread 0x7f1f00ff9700 (LWP 20357)):
#0  0x00007f1f765f00af in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f1f7d20565b in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib64/libQt5Core.so.5
#2  0x00007f1f71acf42f in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#3  0x00007f1f71ad2dea in  () at /usr/lib64/libKF5ThreadWeaver.so.5
#4  0x00007f1f71acd45b in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#5  0x00007f1f71ad0a46 in ThreadWeaver::Thread::run() () at /usr/lib64/libKF5ThreadWeaver.so.5
#6  0x00007f1f7d2049e9 in  () at /usr/lib64/libQt5Core.so.5
#7  0x00007f1f765eb734 in start_thread () at /lib64/libpthread.so.0
#8  0x00007f1f7cb13d3d in clone () at /lib64/libc.so.6

Thread 22 (Thread 0x7f1f017fa700 (LWP 20356)):
#0  0x00007f1f765f00af in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f1f7d20565b in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib64/libQt5Core.so.5
#2  0x00007f1f71acf42f in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#3  0x00007f1f71ad2dea in  () at /usr/lib64/libKF5ThreadWeaver.so.5
#4  0x00007f1f71acd45b in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#5  0x00007f1f71ad0a46 in ThreadWeaver::Thread::run() () at /usr/lib64/libKF5ThreadWeaver.so.5
#6  0x00007f1f7d2049e9 in  () at /usr/lib64/libQt5Core.so.5
#7  0x00007f1f765eb734 in start_thread () at /lib64/libpthread.so.0
#8  0x00007f1f7cb13d3d in clone () at /lib64/libc.so.6

Thread 21 (Thread 0x7f1f01ffb700 (LWP 20355)):
#0  0x00007f1f765f00af in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f1f7d20565b in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib64/libQt5Core.so.5
#2  0x00007f1f71acf42f in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#3  0x00007f1f71ad2dea in  () at /usr/lib64/libKF5ThreadWeaver.so.5
#4  0x00007f1f71acd45b in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#5  0x00007f1f71ad0a46 in ThreadWeaver::Thread::run() () at /usr/lib64/libKF5ThreadWeaver.so.5
#6  0x00007f1f7d2049e9 in  () at /usr/lib64/libQt5Core.so.5
#7  0x00007f1f765eb734 in start_thread () at /lib64/libpthread.so.0
#8  0x00007f1f7cb13d3d in clone () at /lib64/libc.so.6

Thread 20 (Thread 0x7f1f027fc700 (LWP 20354)):
#0  0x00007f1f765f00af in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f1f7d20565b in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib64/libQt5Core.so.5
#2  0x00007f1f71acf42f in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#3  0x00007f1f71ad2dea in  () at /usr/lib64/libKF5ThreadWeaver.so.5
#4  0x00007f1f71acd45b in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#5  0x00007f1f71ad0a46 in ThreadWeaver::Thread::run() () at /usr/lib64/libKF5ThreadWeaver.so.5
#6  0x00007f1f7d2049e9 in  () at /usr/lib64/libQt5Core.so.5
#7  0x00007f1f765eb734 in start_thread () at /lib64/libpthread.so.0
#8  0x00007f1f7cb13d3d in clone () at /lib64/libc.so.6

Thread 19 (Thread 0x7f1f02ffd700 (LWP 20353)):
#0  0x00007f1f765f00af in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f1f7d20565b in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib64/libQt5Core.so.5
#2  0x00007f1f71acf42f in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#3  0x00007f1f71ad2dea in  () at /usr/lib64/libKF5ThreadWeaver.so.5
#4  0x00007f1f71acd45b in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#5  0x00007f1f71ad0a46 in ThreadWeaver::Thread::run() () at /usr/lib64/libKF5ThreadWeaver.so.5
#6  0x00007f1f7d2049e9 in  () at /usr/lib64/libQt5Core.so.5
#7  0x00007f1f765eb734 in start_thread () at /lib64/libpthread.so.0
#8  0x00007f1f7cb13d3d in clone () at /lib64/libc.so.6

Thread 18 (Thread 0x7f1f037fe700 (LWP 20352)):
#0  0x00007f1f765f00af in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f1f7d20565b in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib64/libQt5Core.so.5
#2  0x00007f1f71acf42f in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#3  0x00007f1f71ad2dea in  () at /usr/lib64/libKF5ThreadWeaver.so.5
#4  0x00007f1f71acd45b in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#5  0x00007f1f71ad0a46 in ThreadWeaver::Thread::run() () at /usr/lib64/libKF5ThreadWeaver.so.5
#6  0x00007f1f7d2049e9 in  () at /usr/lib64/libQt5Core.so.5
#7  0x00007f1f765eb734 in start_thread () at /lib64/libpthread.so.0
#8  0x00007f1f7cb13d3d in clone () at /lib64/libc.so.6

Thread 17 (Thread 0x7f1f03fff700 (LWP 20351)):
#0  0x00007f1f765f00af in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f1f7d20565b in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib64/libQt5Core.so.5
#2  0x00007f1f71acf42f in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#3  0x00007f1f71ad2dea in  () at /usr/lib64/libKF5ThreadWeaver.so.5
#4  0x00007f1f71acd45b in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#5  0x00007f1f71ad0a46 in ThreadWeaver::Thread::run() () at /usr/lib64/libKF5ThreadWeaver.so.5
#6  0x00007f1f7d2049e9 in  () at /usr/lib64/libQt5Core.so.5
#7  0x00007f1f765eb734 in start_thread () at /lib64/libpthread.so.0
#8  0x00007f1f7cb13d3d in clone () at /lib64/libc.so.6

Thread 16 (Thread 0x7f1f0bbb3700 (LWP 20349)):
#0  0x00007f1f7cb0b49d in poll () at /lib64/libc.so.6
#1  0x00007f1f75973314 in  () at /usr/lib64/libglib-2.0.so.0
#2  0x00007f1f7597342c in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#3  0x00007f1f7d41732b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#4  0x00007f1f7d3c4fdb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#5  0x00007f1f7d1fff1a in QThread::exec() () at /usr/lib64/libQt5Core.so.5
#6  0x00007f1f7d2049e9 in  () at /usr/lib64/libQt5Core.so.5
#7  0x00007f1f765eb734 in start_thread () at /lib64/libpthread.so.0
#8  0x00007f1f7cb13d3d in clone () at /lib64/libc.so.6

Thread 15 (Thread 0x7f1f25ffb700 (LWP 20205)):
#0  0x00007f1f765f00af in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f1f7d20565b in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib64/libQt5Core.so.5
#2  0x00007f1f71acf42f in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#3  0x00007f1f71ad2dea in  () at /usr/lib64/libKF5ThreadWeaver.so.5
#4  0x00007f1f71acd45b in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#5  0x00007f1f71ad0a46 in ThreadWeaver::Thread::run() () at /usr/lib64/libKF5ThreadWeaver.so.5
#6  0x00007f1f7d2049e9 in  () at /usr/lib64/libQt5Core.so.5
#7  0x00007f1f765eb734 in start_thread () at /lib64/libpthread.so.0
#8  0x00007f1f7cb13d3d in clone () at /lib64/libc.so.6

Thread 14 (Thread 0x7f1f267fc700 (LWP 20204)):
#0  0x00007f1f765f00af in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f1f7d20565b in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib64/libQt5Core.so.5
#2  0x00007f1f71acf42f in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#3  0x00007f1f71ad2dea in  () at /usr/lib64/libKF5ThreadWeaver.so.5
#4  0x00007f1f71acd45b in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#5  0x00007f1f71ad2e32 in  () at /usr/lib64/libKF5ThreadWeaver.so.5
#6  0x00007f1f71acd45b in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#7  0x00007f1f71ad2e32 in  () at /usr/lib64/libKF5ThreadWeaver.so.5
#8  0x00007f1f71acd45b in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#9  0x00007f1f71ad2e32 in  () at /usr/lib64/libKF5ThreadWeaver.so.5
#10 0x00007f1f71acd45b in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#11 0x00007f1f71ad0a46 in ThreadWeaver::Thread::run() () at /usr/lib64/libKF5ThreadWeaver.so.5
#12 0x00007f1f7d2049e9 in  () at /usr/lib64/libQt5Core.so.5
#13 0x00007f1f765eb734 in start_thread () at /lib64/libpthread.so.0
#14 0x00007f1f7cb13d3d in clone () at /lib64/libc.so.6

Thread 13 (Thread 0x7f1f26ffd700 (LWP 20203)):
#0  0x00007f1f765f00af in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f1f7d20565b in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib64/libQt5Core.so.5
#2  0x00007f1f71acf42f in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#3  0x00007f1f71ad2dea in  () at /usr/lib64/libKF5ThreadWeaver.so.5
#4  0x00007f1f71acd45b in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#5  0x00007f1f71ad2e32 in  () at /usr/lib64/libKF5ThreadWeaver.so.5
#6  0x00007f1f71acd45b in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#7  0x00007f1f71ad2e32 in  () at /usr/lib64/libKF5ThreadWeaver.so.5
#8  0x00007f1f71acd45b in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#9  0x00007f1f71ad2e32 in  () at /usr/lib64/libKF5ThreadWeaver.so.5
#10 0x00007f1f71acd45b in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#11 0x00007f1f71ad0a46 in ThreadWeaver::Thread::run() () at /usr/lib64/libKF5ThreadWeaver.so.5
#12 0x00007f1f7d2049e9 in  () at /usr/lib64/libQt5Core.so.5
#13 0x00007f1f765eb734 in start_thread () at /lib64/libpthread.so.0
#14 0x00007f1f7cb13d3d in clone () at /lib64/libc.so.6

Thread 12 (Thread 0x7f1f277fe700 (LWP 20202)):
#0  0x00007f1f765f00af in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f1f7d20565b in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib64/libQt5Core.so.5
#2  0x00007f1f71acf42f in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#3  0x00007f1f71ad2dea in  () at /usr/lib64/libKF5ThreadWeaver.so.5
#4  0x00007f1f71acd45b in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#5  0x00007f1f71ad2e32 in  () at /usr/lib64/libKF5ThreadWeaver.so.5
#6  0x00007f1f71acd45b in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#7  0x00007f1f71ad0a46 in ThreadWeaver::Thread::run() () at /usr/lib64/libKF5ThreadWeaver.so.5
#8  0x00007f1f7d2049e9 in  () at /usr/lib64/libQt5Core.so.5
#9  0x00007f1f765eb734 in start_thread () at /lib64/libpthread.so.0
#10 0x00007f1f7cb13d3d in clone () at /lib64/libc.so.6

Thread 11 (Thread 0x7f1f27fff700 (LWP 20201)):
#0  0x00007f1f765f00af in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f1f7d20565b in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib64/libQt5Core.so.5
#2  0x00007f1f71acf42f in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#3  0x00007f1f71ad2dea in  () at /usr/lib64/libKF5ThreadWeaver.so.5
#4  0x00007f1f71acd45b in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#5  0x00007f1f71ad2e32 in  () at /usr/lib64/libKF5ThreadWeaver.so.5
#6  0x00007f1f71acd45b in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#7  0x00007f1f71ad2e32 in  () at /usr/lib64/libKF5ThreadWeaver.so.5
#8  0x00007f1f71acd45b in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#9  0x00007f1f71ad2e32 in  () at /usr/lib64/libKF5ThreadWeaver.so.5
#10 0x00007f1f71acd45b in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#11 0x00007f1f71ad0a46 in ThreadWeaver::Thread::run() () at /usr/lib64/libKF5ThreadWeaver.so.5
#12 0x00007f1f7d2049e9 in  () at /usr/lib64/libQt5Core.so.5
#13 0x00007f1f765eb734 in start_thread () at /lib64/libpthread.so.0
#14 0x00007f1f7cb13d3d in clone () at /lib64/libc.so.6

Thread 10 (Thread 0x7f1f38a7b700 (LWP 20200)):
#0  0x00007f1f765f00af in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f1f7d20565b in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib64/libQt5Core.so.5
#2  0x00007f1f71acf42f in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#3  0x00007f1f71ad2dea in  () at /usr/lib64/libKF5ThreadWeaver.so.5
#4  0x00007f1f71acd45b in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#5  0x00007f1f71ad2e32 in  () at /usr/lib64/libKF5ThreadWeaver.so.5
#6  0x00007f1f71acd45b in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#7  0x00007f1f71ad2e32 in  () at /usr/lib64/libKF5ThreadWeaver.so.5
#8  0x00007f1f71acd45b in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#9  0x00007f1f71ad2e32 in  () at /usr/lib64/libKF5ThreadWeaver.so.5
#10 0x00007f1f71acd45b in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#11 0x00007f1f71ad0a46 in ThreadWeaver::Thread::run() () at /usr/lib64/libKF5ThreadWeaver.so.5
#12 0x00007f1f7d2049e9 in  () at /usr/lib64/libQt5Core.so.5
#13 0x00007f1f765eb734 in start_thread () at /lib64/libpthread.so.0
#14 0x00007f1f7cb13d3d in clone () at /lib64/libc.so.6

Thread 9 (Thread 0x7f1f3927c700 (LWP 20199)):
#0  0x00007f1f765f00af in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f1f7d20565b in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib64/libQt5Core.so.5
#2  0x00007f1f71acf42f in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#3  0x00007f1f71ad2dea in  () at /usr/lib64/libKF5ThreadWeaver.so.5
#4  0x00007f1f71acd45b in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#5  0x00007f1f71ad2e32 in  () at /usr/lib64/libKF5ThreadWeaver.so.5
#6  0x00007f1f71acd45b in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#7  0x00007f1f71ad2e32 in  () at /usr/lib64/libKF5ThreadWeaver.so.5
#8  0x00007f1f71acd45b in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#9  0x00007f1f71ad2e32 in  () at /usr/lib64/libKF5ThreadWeaver.so.5
#10 0x00007f1f71acd45b in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#11 0x00007f1f71ad0a46 in ThreadWeaver::Thread::run() () at /usr/lib64/libKF5ThreadWeaver.so.5
#12 0x00007f1f7d2049e9 in  () at /usr/lib64/libQt5Core.so.5
#13 0x00007f1f765eb734 in start_thread () at /lib64/libpthread.so.0
#14 0x00007f1f7cb13d3d in clone () at /lib64/libc.so.6

Thread 8 (Thread 0x7f1f39a7d700 (LWP 20198)):
#0  0x00007f1f765f00af in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f1f7d20565b in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib64/libQt5Core.so.5
#2  0x00007f1f71acf42f in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#3  0x00007f1f71ad2dea in  () at /usr/lib64/libKF5ThreadWeaver.so.5
#4  0x00007f1f71acd45b in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#5  0x00007f1f71ad2e32 in  () at /usr/lib64/libKF5ThreadWeaver.so.5
#6  0x00007f1f71acd45b in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#7  0x00007f1f71ad2e32 in  () at /usr/lib64/libKF5ThreadWeaver.so.5
#8  0x00007f1f71acd45b in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#9  0x00007f1f71ad0a46 in ThreadWeaver::Thread::run() () at /usr/lib64/libKF5ThreadWeaver.so.5
#10 0x00007f1f7d2049e9 in  () at /usr/lib64/libQt5Core.so.5
#11 0x00007f1f765eb734 in start_thread () at /lib64/libpthread.so.0
#12 0x00007f1f7cb13d3d in clone () at /lib64/libc.so.6

Thread 7 (Thread 0x7f1f422af700 (LWP 20197)):
#0  0x00007f1f765f00af in pthread_cond_wait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f1f7d20565b in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib64/libQt5Core.so.5
#2  0x00007f1f71acf42f in ThreadWeaver::Weaver::takeFirstAvailableJobOrSuspendOrWait(ThreadWeaver::Thread*, bool, bool, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#3  0x00007f1f71ad2dea in  () at /usr/lib64/libKF5ThreadWeaver.so.5
#4  0x00007f1f71acd45b in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#5  0x00007f1f71ad2e32 in  () at /usr/lib64/libKF5ThreadWeaver.so.5
#6  0x00007f1f71acd45b in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#7  0x00007f1f71ad2e32 in  () at /usr/lib64/libKF5ThreadWeaver.so.5
#8  0x00007f1f71acd45b in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#9  0x00007f1f71ad2e32 in  () at /usr/lib64/libKF5ThreadWeaver.so.5
#10 0x00007f1f71acd45b in ThreadWeaver::Weaver::applyForWork(ThreadWeaver::Thread*, bool) () at /usr/lib64/libKF5ThreadWeaver.so.5
#11 0x00007f1f71ad0a46 in ThreadWeaver::Thread::run() () at /usr/lib64/libKF5ThreadWeaver.so.5
#12 0x00007f1f7d2049e9 in  () at /usr/lib64/libQt5Core.so.5
#13 0x00007f1f765eb734 in start_thread () at /lib64/libpthread.so.0
#14 0x00007f1f7cb13d3d in clone () at /lib64/libc.so.6

Thread 6 (Thread 0x7f1f41aae700 (LWP 20124)):
#0  0x00007f1f7cb0b49d in poll () at /lib64/libc.so.6
#1  0x00007f1f75973314 in  () at /usr/lib64/libglib-2.0.so.0
#2  0x00007f1f7597342c in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#3  0x00007f1f7d41732b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#4  0x00007f1f7d3c4fdb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#5  0x00007f1f7d1fff1a in QThread::exec() () at /usr/lib64/libQt5Core.so.5
#6  0x00007f1f7246a9b8 in  () at /usr/lib64/libQt5Qml.so.5
#7  0x00007f1f7d2049e9 in  () at /usr/lib64/libQt5Core.so.5
#8  0x00007f1f765eb734 in start_thread () at /lib64/libpthread.so.0
#9  0x00007f1f7cb13d3d in clone () at /lib64/libc.so.6

Thread 5 (Thread 0x7f1f4406a700 (LWP 20092)):
#0  0x00007f1f759b47d4 in g_mutex_unlock () at /usr/lib64/libglib-2.0.so.0
#1  0x00007f1f759731cd in  () at /usr/lib64/libglib-2.0.so.0
#2  0x00007f1f7597342c in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#3  0x00007f1f7d41732b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#4  0x00007f1f7d3c4fdb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#5  0x00007f1f7d1fff1a in QThread::exec() () at /usr/lib64/libQt5Core.so.5
#6  0x00007f1f7ad25dd3 in  () at /usr/lib64/libKDevPlatformLanguage.so.10
#7  0x00007f1f7d2049e9 in  () at /usr/lib64/libQt5Core.so.5
#8  0x00007f1f765eb734 in start_thread () at /lib64/libpthread.so.0
#9  0x00007f1f7cb13d3d in clone () at /lib64/libc.so.6

Thread 4 (Thread 0x7f1f4d9eb700 (LWP 20091)):
#0  0x00007f1f765f0458 in pthread_cond_timedwait@@GLIBC_2.3.2 () at /lib64/libpthread.so.0
#1  0x00007f1f7d2055a8 in QWaitCondition::wait(QMutex*, unsigned long) () at /usr/lib64/libQt5Core.so.5
#2  0x00007f1f7ac5acc3 in  () at /usr/lib64/libKDevPlatformLanguage.so.10
#3  0x00007f1f7d2049e9 in  () at /usr/lib64/libQt5Core.so.5
#4  0x00007f1f765eb734 in start_thread () at /lib64/libpthread.so.0
#5  0x00007f1f7cb13d3d in clone () at /lib64/libc.so.6

Thread 3 (Thread 0x7f1f5793e700 (LWP 20089)):
#0  0x00007f1f7cb0b49d in poll () at /lib64/libc.so.6
#1  0x00007f1f75973314 in  () at /usr/lib64/libglib-2.0.so.0
#2  0x00007f1f7597342c in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#3  0x00007f1f7d41732b in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#4  0x00007f1f7d3c4fdb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#5  0x00007f1f7d1fff1a in QThread::exec() () at /usr/lib64/libQt5Core.so.5
#6  0x00007f1f7ef321d5 in  () at /usr/lib64/libQt5DBus.so.5
#7  0x00007f1f7d2049e9 in  () at /usr/lib64/libQt5Core.so.5
#8  0x00007f1f765eb734 in start_thread () at /lib64/libpthread.so.0
#9  0x00007f1f7cb13d3d in clone () at /lib64/libc.so.6

Thread 2 (Thread 0x7f1f5d36c700 (LWP 20088)):
#0  0x00007f1f7cb0b49d in poll () at /lib64/libc.so.6
#1  0x00007f1f6f9523e2 in  () at /usr/lib64/libxcb.so.1
#2  0x00007f1f6f953fcf in xcb_wait_for_event () at /usr/lib64/libxcb.so.1
#3  0x00007f1f5fef8839 in  () at /usr/lib64/libQt5XcbQpa.so.5
#4  0x00007f1f7d2049e9 in  () at /usr/lib64/libQt5Core.so.5
#5  0x00007f1f765eb734 in start_thread () at /lib64/libpthread.so.0
#6  0x00007f1f7cb13d3d in clone () at /lib64/libc.so.6

Thread 1 (Thread 0x7f1f7fd4b940 (LWP 20087)):
[KCrash Handler]
#6  0x00007f1f7f40dda4 in KDevelop::Path::Path(KDevelop::Path const&, QString const&) () at /usr/lib64/libKDevPlatformUtil.so.10
#7  0x00007f1f7a2a7e93 in KDevelop::ProjectBaseItem::path() const () at /usr/lib64/libKDevPlatformProject.so.10
#8  0x00007f1f7a2c8648 in  () at /usr/lib64/libKDevPlatformProject.so.10
#9  0x00007f1f7d3f2166 in QObject::event(QEvent*) () at /usr/lib64/libQt5Core.so.5
#10 0x00007f1f7e0cde3c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () at /usr/lib64/libQt5Widgets.so.5
#11 0x00007f1f7e0d249a in QApplication::notify(QObject*, QEvent*) () at /usr/lib64/libQt5Widgets.so.5
#12 0x00007f1f7d3c6fc5 in QCoreApplication::notifyInternal2(QObject*, QEvent*) () at /usr/lib64/libQt5Core.so.5
#13 0x00007f1f7d3c8daa in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) () at /usr/lib64/libQt5Core.so.5
#14 0x00007f1f7d417c83 in  () at /usr/lib64/libQt5Core.so.5
#15 0x00007f1f75973134 in g_main_context_dispatch () at /usr/lib64/libglib-2.0.so.0
#16 0x00007f1f75973388 in  () at /usr/lib64/libglib-2.0.so.0
#17 0x00007f1f7597342c in g_main_context_iteration () at /usr/lib64/libglib-2.0.so.0
#18 0x00007f1f7d41730c in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#19 0x00007f1f7d3c4fdb in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () at /usr/lib64/libQt5Core.so.5
#20 0x00007f1f7d3ccec6 in QCoreApplication::exec() () at /usr/lib64/libQt5Core.so.5
#21 0x000000000040c52b in  ()
#22 0x00007f1f7ca4a6e5 in __libc_start_main () at /lib64/libc.so.6
#23 0x000000000040cb09 in _start ()

Reported using DrKonqi
Comment 1 Dan Weatherill 2018-01-11 16:03:15 UTC
Created attachment 109797 [details]
improved backtrace

this is an improved backtrace with more symbols included. In thread#1 the crash can clearly be seen to occur within compilerEdited. (note that the compiler has not been edited, just selected).
Comment 2 Kevin Funk 2018-01-15 20:06:29 UTC
Git commit e6ee67c23ae333d2ea4129bf507c5a389684c960 by Kevin Funk, on behalf of Dan Weatherill.
Committed on 15/01/2018 at 20:03.
Pushed by kfunk into branch '5.2'.

work around bug in kLineEdit

Summary:
a bug in kLineEdit causes spurious emission of textEdited signals when calling setText().

This in turn causes spurious calls of compilerEdited() when selecting a compiler in the compilers window,
 which leads to a segfault (e.g. this bug https://bugs.kde.org/show_bug.cgi?id=373004) and I think some duplicates also.

I have submitted also a patch to kcompletion, https://phabricator.kde.org/D9808

This is a workaround for those systems until that is fixed

Reviewers: #kdevelop, apol, mwolff

Reviewed By: #kdevelop, mwolff

Subscribers: mwolff, anthonyfieroni, kdevelop-devel

Tags: #kdevelop

Differential Revision: https://phabricator.kde.org/D9809
FIXED-IN: 5.2.2

M  +1    -0    plugins/custom-definesandincludes/compilerprovider/tests/test_compilerprovider.cpp
M  +13   -0    plugins/custom-definesandincludes/compilerprovider/widget/compilerswidget.cpp

https://commits.kde.org/kdevelop/e6ee67c23ae333d2ea4129bf507c5a389684c960
Comment 3 David Faure 2018-01-19 08:49:03 UTC
Git commit 31f226116f99bcf40ddc67fe6328594d5fb46222 by David Faure, on behalf of Dan Weatherill.
Committed on 19/01/2018 at 08:48.
Pushed by dfaure into branch 'master'.

Fix incorrect emission of textEdited() by KLineEdit

The unit test of kLineEdit was previously checking incorrectly that
textEdited _HAD_ been emitted when the text is changed with setText().
This is undesired behaviour.
This patch fixes the unit test, and changes the problematic behaviour by
removing the extra emission of textEdited in the private signal
_k_textChanged.
In addition this is the underlying cause of a bug in kdevelop (and
probably several others).
Related: bug 388798

M  +28   -3    autotests/klineedit_unittest.cpp
M  +0    -1    src/klineedit.cpp

https://commits.kde.org/kcompletion/31f226116f99bcf40ddc67fe6328594d5fb46222